ALAS-2014-282


Amazon Linux AMI Security Advisory: ALAS-2014-282
Advisory Release Date: 2014-09-16 22:21 Pacific
Severity: Important

Issue Overview:

A stack-based buffer overflow flaw was found in the way the libXfont library parsed Glyph Bitmap Distribution Format (BDF) fonts. A malicious, local user could exploit this issue to potentially execute arbitrary code with the privileges of the X.Org server. (CVE-2013-6462 )


Affected Packages:

libXfont


Issue Correction:
Run yum update libXfont to update your system.

New Packages:
i686:
    libXfont-devel-1.4.5-3.8.amzn1.i686
    libXfont-1.4.5-3.8.amzn1.i686
    libXfont-debuginfo-1.4.5-3.8.amzn1.i686

src:
    libXfont-1.4.5-3.8.amzn1.src

x86_64:
    libXfont-devel-1.4.5-3.8.amzn1.x86_64
    libXfont-debuginfo-1.4.5-3.8.amzn1.x86_64
    libXfont-1.4.5-3.8.amzn1.x86_64